Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518795 - [F28 change] uwsgi should not require tcp_wrappers [NEEDINFO]
Summary: [F28 change] uwsgi should not require tcp_wrappers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1495181 1596070
TreeView+ depends on / blocked
 
Reported: 2017-11-29 15:01 UTC by Jakub Jelen
Modified: 2018-06-28 08:10 UTC (History)
2 users (show)

Fixed In Version: uwsgi-2.0.16-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-04 15:52:41 UTC
jjelen: needinfo? (kad)


Attachments (Terms of Use)

Description Jakub Jelen 2017-11-29 15:01:33 UTC
As announced earlier this year, we plan to deprecate TCP wrappers out of Fedora services in a single release (Fedora 28) to avoid user confusion that some of the tools will be using it and some not.

For more information about the change or possible migration paths outside of the package itself, see the linked accepted Fedora 28 change.

This report is for a source package, that has "BuildRequires tcp_wrappers" in spec file and resulting packages depend on "libwrap.so.0". The changes to remove the dependency should be minimal, usually a configure switch, but let me know if you will need some assistance with the changes.

Additional info:

https://fedoraproject.org/wiki/Changes/Deprecate_TCP_wrappers

Comment 1 Jorge Gallegos 2017-11-30 00:00:13 UTC
in this case, it is a dependency on the tcp_wrapper headers from https://github.com/unbit/uwsgi/blob/master/plugins/router_access/router_access.c#L47 I will ping upstream about a workaround.

Comment 2 Jorge Gallegos 2017-11-30 00:08:19 UTC
Submitted https://github.com/unbit/uwsgi/issues/1689

Comment 3 Fedora End Of Life 2018-02-20 15:33:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Jakub Jelen 2018-03-19 11:51:06 UTC
Thank you. But it seems that your package was not successfully built in F28 since the change. Can you check what was the reason and resubmit the builds? Thank you.

Comment 5 Jakub Jelen 2018-03-29 16:31:37 UTC
The one issue is fixed by this one:
https://src.fedoraproject.org/cgit/rpms/nginx.git/tree/0001-unix-ngx_user-Apply-fix-for-really-old-bug-in-glibc-.patch

It is already discussed upstream:
https://github.com/unbit/uwsgi/issues/1220

But the patch is still not there.

The other issue is fixed by my PR:
https://github.com/unbit/uwsgi/pull/1768


Then there is an issue with missing glfs.h in rawhide:

https://bugzilla.redhat.com/show_bug.cgi?id=1536908

Then the spec file needs not to generate the subpackage for the removed module.

I filled the followint PR, which makes it building in Fedora 28, but because of the glfs, not in rawhide (at least not in mock):

https://src.fedoraproject.org/rpms/uwsgi/pull-request/2

Comment 6 Fedora Update System 2018-03-29 20:45:18 UTC
uwsgi-2.0.16-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-81823acb6d

Comment 7 Fedora Update System 2018-03-30 15:18:19 UTC
uwsgi-2.0.16-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-81823acb6d

Comment 8 Fedora Update System 2018-04-04 15:52:41 UTC
uwsgi-2.0.16-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.